*DECK CONVRD
      SUBROUTINE CONVRD(NREG,NSOUT,NALBG,IBC_SURF2,MATALB,
     1                  IDATA_BC2,BC_DATA,GALBED,SURF2,VOLSUR)
*
      INTEGER NSOUT,IBC_SURF2(*),MATALB(-NSOUT:NREG),IDATA_BC2(*)
      DOUBLE PRECISION BC_DATA(5,*),SURF2(NSOUT) ! 5=g_bc_max_len of geo_types_list.md9
      REAL GALBED(NALBG),VOLSUR(-NSOUT:NREG)
*      
      INTEGER INDEX
      INTEGER   SDIRE(6)
      DATA      SDIRE/ 5,6,3,4,1,2 /
*
      DO I=1,NSOUT
         VOLSUR(-I)=0.25*REAL(SURF2(I))
         INDEX=IDATA_BC2(IBC_SURF2(I))
         MATALB(-I)=-SDIRE(INDEX)
         GALBED(SDIRE(INDEX))=REAL(BC_DATA(1,INDEX))
      ENDDO
      RETURN
      END
